# # Sample Configuration for Gitea using SQLite
#
# For information on the available settings, consult the online
# documentation, or see the accompanying file app.ini.defaults, which
# contains the settings incorporated into the gitea binary.
#
# This sample configuration runs Gitea with a local database.  Before
# running this configuration, make sure to change the SECRET_KEY and the
# INTERNAL_TOKEN at the end of this file.  SECRET_KEY is a password of your
# choosing, INTERNAL_TOKEN is a 64-byte random number in BASE64 encoding. 
# Your can generate the token using for example:
# openssl rand -base64 64
#
# There are no pre-configured users; the first user to register becomes an
# admin.  In this sample configuration, the HTTP server only listens on
# localhost.
#
# If you'd rather use the web-based installer, remove this conf/app.ini file
# and make /usr/local/etc/gitea/conf writeable to the git user.
APP_NAME = Beyondbell
RUN_USER = git
RUN_MODE = prod

[database]
DB_TYPE = mysql
HOST    = 192.168.0.76:3306
NAME    = gitea
USER    = gitea
PASSWD  = r-db-gitea

[indexer]
ISSUE_INDEXER_PATH = /var/db/gitea/indexers/issues.bleve

[log]
ROOT_PATH = /var/log/gitea
MODE      = file
LEVEL     = Info
ENABLE_ACCESS_LOG = true
ACCESS    = file

[picture]
DISABLE_GRAVATAR        = true
AVATAR_UPLOAD_PATH      = /var/db/gitea/data/avatars

[repository]
ROOT = /var/db/gitea/gitea-repositories

# Gitea's default is 'bash', so if you have bash installed, you can comment
# this out.
#SCRIPT_TYPE = sh

[repository.upload]
TEMP_PATH = /var/db/gitea/data/tmp/uploads

[security]
INSTALL_LOCK       = true
INTERNAL_TOKEN     = 1FFhAklka01JhgJTRUrFujWYiv4ijqcTIfXJ9o4n1fWxz+XVQdXhrqDTlsnD7fvz7gugdhgkx0FY2Lx6IBdPQw==
SECRET_KEY         = BeyondChangeMeBeforeRunningBell
IMPORT_LOCAL_PATHS = false

[session]
COOKIE_SECURE   = true

[server]
DOMAIN        = gitx.beyondbell.com
PROTOCOL      = https
HTTP_ADDR     = ::
HTTP_PORT     = 3000
ROOT_URL      = https://git.ahlawat.com/
DISABLE_SSH   = flase
SSH_DOMAIN    = %(DOMAIN)s
SSH_PORT      = 22
OFFLINE_MODE  = false
APP_DATA_PATH = /var/db/gitea/data
CERT_FILE     = /mnt/certs/bbfullchain.pem
KEY_FILE      = /mnt/certs/bbprivkeyr.pem
LANDING_PAGE  = explore
LFS_START_SERVER     = true
LFS_CONTENT_PATH     = /var/db/gitea/lfs
LFS_JWT_SECRET       = IKNSyUy-E0XOBuOwf8fbmUlvZ-Auzy92aAlIs8bNUW4
LFS_HTTP_AUTH_EXPIRY = 20m

[service]
DISABLE_REGISTRATION   = true

[openid]
ENABLE_OPENID_SIGNIN = false

[other]
SHOW_FOOTER_BRANDING           = false
SHOW_FOOTER_VERSION            = false
SHOW_FOOTER_TEMPLATE_LOAD_TIME = false

[oauth2]
JWT_SECRET = GCQXhTE1eD7q_NNe8q3dSJf91iPvrRydRAIRo4YIEAA

[ui]
DEFAULT_THEME = arc-green
